package com.telephoners.krakyournet.ctf.beans;

import com.fasterxml.jackson.annotation.JsonProperty;

public class Flag {
    private String value;
    private String description;
    private int points;

    public Flag() {
    }

    public Flag(String value, String description, int points) {
        this.value = value;
        this.description = description;
        this.points = points;
    }

    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    public String getValue() {
        return value;
    }

    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    public void setValue(String value) {
        this.value = value;
    }

    public String getDescription()
    {
        return description;
    }

    public void setDescription(String description)
    {
        this.description = description;
    }

    public int getPoints()
    {
        return points;
    }

    public void setPoints(int points)
    {
        this.points = points;
    }
}
